Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler Class Reference

Language Handler. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler:

## Public Member Functions
| __construct (Gateway $languageGateway, Mapper $languageMapper)
| Creates a new Language Handler. More...
| create (CreateStruct $struct)
| Create a new language. More...
| update (Language $language)
| Update language. More...
| load ($id)
| Get language by id. More...
| loadList (array $ids)
  | {Get list of languages by id.Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  array | $ids |
Returns \eZ\Publish\SPI\Persistence\Content\Language[]|iterable } More...
| loadByLanguageCode ($languageCode)
| Get language by Language Code (eg: eng-GB). More...
| loadListByLanguageCodes (array $languageCodes)
  | {Get list of languages by Language Code (eg: eng-GB).Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  string[] | $languageCodes |
Returns \eZ\Publish\SPI\Persistence\Content\Language[]|iterable } More...
| loadAll ()
| Get all languages. More...
| delete ($id)
| Delete a language. More...

## Protected Attributes
| $languageGateway
| $languageMapper

## Detailed Description

Language Handler.

Definition at line 18 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::__construct | ( | Gateway | $languageGateway,
|  | Mapper | $languageMapper
| ) |  |

Creates a new Language Handler.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\Content\Language\Gateway | $languageGateway |
  \eZ\Publish\Core\Persistence\Legacy\Content\Language\Mapper | $languageMapper |

Definition at line 40 of file Core/Persistence/Legacy/Content/Language/Handler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler\$languageGateway, and eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler\$languageMapper.

## Member Function Documentation

## ◆ create()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::create | ( | CreateStruct | $struct | ) |

Create a new language.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Language\CreateStruct | $struct |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 53 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::delete | ( |  | $id | ) |

Delete a language.

Parameters

  mixed | $id |

Exceptions

  LogicException | If language could not be deleted

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 157 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ load()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::load | ( |  | $id | ) |

Get language by id.

Parameters

  mixed | $id |

Exceptions

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 82 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ loadAll()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::loadAll | ( |  | ) |

Get all languages.

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 143 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ loadByLanguageCode()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::loadByLanguageCode | ( |  | $languageCode | ) |

Get language by Language Code (eg: eng-GB).

Parameters

  string | $languageCode |

Exceptions

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 115 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ loadList()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::loadList | ( | array | $ids | ) |

{Get list of languages by id.Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $ids |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]|iterable

}

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 98 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ loadListByLanguageCodes()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::loadListByLanguageCodes | ( | array | $languageCodes | ) |

{Get list of languages by Language Code (eg: eng-GB).Missing items (NotFound) will be missing from the returned iterable and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  string[] | $languageCodes |

Returns
  \eZ\Publish\SPI\Persistence\Content\Language[]|iterable

}

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 131 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## ◆ update()

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::update | ( | Language | $language | ) |

Update language.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Language | $language |

Implements eZ\Publish\SPI\Persistence\Content\Language\Handler.

Definition at line 68 of file Core/Persistence/Legacy/Content/Language/Handler.php.

## Member Data Documentation

## ◆ $languageGateway

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::$languageGateway
| protected

Definition at line 25 of file Core/Persistence/Legacy/Content/Language/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler\__construct().

## ◆ $languageMapper

eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler::$languageMapper
| protected

Definition at line 32 of file Core/Persistence/Legacy/Content/Language/Handler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Language\Handler\__construct().

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/Content/Language/Handler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.